List subnetworks for a network pool

GET/v1/network_pools/{network_pool_id}/subnetworks

You can list all the subnetworks within a pool by sending a GET request to the /v1/network_pools/{network_pool_id}/subnetworks endpoint. A pool has to be specified in the path parameter. Subnetworks can be used only on dedicated servers.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

network_pool_id*string

A unique identifier of a pool that contains subnetworks.

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

attached?boolean

This parameter indicates with true or false if a subnetwork is attached to a dedicated server.

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id.

Default"id"

Value in

  • "id"
  • "created_at"
  • "updated_at"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

curl -X GET "https://example.com/v1/network_pools/MvbmOpeY/subnetworks"
[  {    "id": "openx4b7",    "network_pool_id": "MvbmOpeY",    "title": "Public",    "cidr": "100.10.32.0/29",    "attached": true,    "interface_type": "public",    "updated_at": "2026-05-28T06:56:10Z",    "created_at": "2026-05-28T06:56:10Z"  },  {    "id": "JxboVzag",    "network_pool_id": "MvbmOpeY",    "title": "title81",    "cidr": "100.10.32.8/29",    "attached": false,    "interface_type": "public",    "updated_at": "2026-05-28T06:56:10Z",    "created_at": "2026-05-28T06:56:10Z"  },  {    "id": "8mep81eM",    "network_pool_id": "MvbmOpeY",    "title": "Public",    "cidr": "100.10.32.16/29",    "attached": true,    "interface_type": "public",    "updated_at": "2026-05-28T06:56:10Z",    "created_at": "2026-05-28T06:56:10Z"  }]